diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSEncryptionPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSEncryptionPanel.java
index 0891c63fcce175ad72fb770b797bd98e27eb134c..913974eaf4d8bc30a473497d79c4d86c84ee3d77 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSEncryptionPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSEncryptionPanel.java
@@ -19,20 +19,15 @@ package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
 import com.netscape.management.client.console.*;
-import com.netscape.admin.certsrv.security.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import java.awt.*;
 import java.util.*;
-import java.io.*;
 import javax.swing.*;
 import java.awt.event.*;
 import javax.swing.border.*;
 import com.netscape.management.client.util.*;
-import com.netscape.management.nmclf.*;
-import javax.swing.plaf.*;
 import com.netscape.admin.certsrv.keycert.*;
-import com.netscape.admin.certsrv.config.install.*;
 import com.netscape.admin.certsrv.managecert.*;
 
 /**
@@ -185,7 +180,7 @@ public class CMSEncryptionPanel extends CMSBaseTab  {
         for (Enumeration e = mCertMapping.keys() ; e.hasMoreElements() ;) {
             CipherEntryData data = 
                 (CipherEntryData)mCertMapping.get(e.nextElement());
-            nvp.add(data.getTagName(),data.getTokenName()+","+data.getCertName());
+            nvp.put(data.getTagName(), data.getTokenName() + "," + data.getCertName());
         }
         
         if (updateCertMap(nvp)) {
@@ -423,20 +418,20 @@ public class CMSEncryptionPanel extends CMSBaseTab  {
     private void setupDataContainer(NameValuePairs response) {
         
         //setup security version flag
-        String version = response.getValue(Constants.PR_CIPHER_VERSION);
+        String version = response.get(Constants.PR_CIPHER_VERSION);
         if ( (version != null) && (version.equals(
             Constants.PR_CIPHER_VERSION_DOMESTIC)) ) {
             mIsDomestic = true;            
         }
         
         //setup fortezza flag
-        String fortezza = response.getValue(Constants.PR_CIPHER_FORTEZZA);
+        String fortezza = response.get(Constants.PR_CIPHER_FORTEZZA);
         if ( (fortezza != null) && (fortezza.equalsIgnoreCase("TRUE")) ){
             mHasFortezza = true;            
         }
         
         //setup cipher preference settings
-        String cipherpref = response.getValue(Constants.PR_CIPHER_PREF);
+        String cipherpref = response.get(Constants.PR_CIPHER_PREF);
         //Debug.println("cipher preference: "+cipherpref);
         if ( (cipherpref != null) && (!cipherpref.trim().equals("")) ) {
             StringTokenizer tokenizer = new StringTokenizer(cipherpref, ",");
@@ -455,7 +450,7 @@ public class CMSEncryptionPanel extends CMSBaseTab  {
         for (Enumeration e = mCertMapping.keys() ; e.hasMoreElements() ;) {
             String name = (String) e.nextElement();
             CipherEntryData data = (CipherEntryData)mCertMapping.get(name);
-            String value = response.getValue(data.getTagName());
+            String value = response.get(data.getTagName());
             if ( (value != null) && (!value.trim().equals("")) ) {
                 StringTokenizer tokenizer = new StringTokenizer(value, ",");
                 try {
@@ -475,7 +470,7 @@ public class CMSEncryptionPanel extends CMSBaseTab  {
         mSelectionIgnore = false;
         
         //setup the token-cert list data table
-        String tokenlist = response.getValue(Constants.PR_TOKEN_LIST);
+        String tokenlist = response.get(Constants.PR_TOKEN_LIST);
         if ( (tokenlist != null) && (!tokenlist.trim().equals("")) ) {
             StringTokenizer tokenizer = new StringTokenizer(tokenlist, ",");
             while (tokenizer.hasMoreTokens()) {
@@ -483,7 +478,7 @@ public class CMSEncryptionPanel extends CMSBaseTab  {
                 Debug.println("Token: "+token);
                 
                 //get the certificate associated with this token
-                String certList = response.getValue(Constants.PR_TOKEN_PREFIX+token);
+                String certList = response.get(Constants.PR_TOKEN_PREFIX + token);
                 Vector certVector = new Vector();
                 if ( (certList != null) && (!certList.trim().equals("")) ) {
                     StringTokenizer tokenizer2 = new StringTokenizer(certList, ",");
@@ -739,15 +734,15 @@ public class CMSEncryptionPanel extends CMSBaseTab  {
     {
         Debug.println("Get Security Information");
         NameValuePairs nvp = new NameValuePairs();
-        nvp.add(Constants.PR_CIPHER_PREF,"");
-        nvp.add(Constants.PR_CIPHER_VERSION,"");
-        nvp.add(Constants.PR_CIPHER_FORTEZZA,"");
-        nvp.add(Constants.PR_TOKEN_LIST,"");
+        nvp.put(Constants.PR_CIPHER_PREF, "");
+        nvp.put(Constants.PR_CIPHER_VERSION, "");
+        nvp.put(Constants.PR_CIPHER_FORTEZZA, "");
+        nvp.put(Constants.PR_TOKEN_LIST, "");
         
         //create installed certificate list data request
         for (Enumeration e = mCertMapping.elements(); e.hasMoreElements() ;) {
             CipherEntryData data = (CipherEntryData)e.nextElement();
-            nvp.add(data.getTagName(),"");
+            nvp.put(data.getTagName(), "");
         }
         
         NameValuePairs response;
@@ -767,7 +762,7 @@ public class CMSEncryptionPanel extends CMSBaseTab  {
         Debug.println("Set Cipher Preference: "+list);
         
         NameValuePairs nvp = new NameValuePairs();
-        nvp.add(Constants.PR_CIPHER_PREF, list);
+        nvp.put(Constants.PR_CIPHER_PREF, list);
         
         //send to server
         try {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSErrorLogPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSErrorLogPanel.java
index 484be33ddfa7e150b03e80bff87eeac4ea5302f0..23b4ececad6504bd99c0315563c8a9d6c03f5c51 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSErrorLogPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSErrorLogPanel.java
@@ -18,13 +18,10 @@
 package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.*;
-import java.awt.*;
+
 import java.awt.event.*;
-import java.util.*;
-import javax.swing.*;
 
 /**
  * Error Log Setting Tab to be displayed at the right hand side
@@ -67,14 +64,14 @@ public class CMSErrorLogPanel extends CMSBaseLogPanel {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvp = new NameValuePairs();
-        nvp.add(Constants.PR_LOG_ENABLED, "");
-        nvp.add(Constants.PR_LOG_LEVEL, "");
-        nvp.add(Constants.PR_LOG_BUFFERSIZE, "");
+        nvp.put(Constants.PR_LOG_ENABLED, "");
+        nvp.put(Constants.PR_LOG_LEVEL, "");
+        nvp.put(Constants.PR_LOG_BUFFERSIZE, "");
         //nvp.add(Constants.PR_LOG_EXPIRED_TIME, "");
         //nvp.add(Constants.PR_LOG_FILENAME, "");
         //nvp.add(Constants.PR_LOG_FLUSHINTERVAL, "");
-        nvp.add(Constants.PR_LOG_MAXFILESIZE, "");
-        nvp.add(Constants.PR_LOG_ROLLEROVER_INTERVAL, "");
+        nvp.put(Constants.PR_LOG_MAXFILESIZE, "");
+        nvp.put(Constants.PR_LOG_ROLLEROVER_INTERVAL, "");
 
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_LOG_ADMIN,
@@ -92,16 +89,16 @@ public class CMSErrorLogPanel extends CMSBaseLogPanel {
     }
 
     private void parseVals(NameValuePairs nvp) {
-        if (nvp.getValue(Constants.PR_LOG_ENABLED).equalsIgnoreCase(
+        if (nvp.get(Constants.PR_LOG_ENABLED).equalsIgnoreCase(
             Constants.TRUE)) 
             activateLog.setSelected(true);
         else
             activateLog.setSelected(false);
-        mLevel = Integer.parseInt(nvp.getValue(Constants.PR_LOG_LEVEL));
-        mlogBufSizTextData = nvp.getValue(Constants.PR_LOG_BUFFERSIZE);
-        mlogMaxSizTextData = nvp.getValue(Constants.PR_LOG_MAXFILESIZE);
+        mLevel = Integer.parseInt(nvp.get(Constants.PR_LOG_LEVEL));
+        mlogBufSizTextData = nvp.get(Constants.PR_LOG_BUFFERSIZE);
+        mlogMaxSizTextData = nvp.get(Constants.PR_LOG_MAXFILESIZE);
         int val = 
-          Integer.parseInt(nvp.getValue(Constants.PR_LOG_ROLLEROVER_INTERVAL));
+          Integer.parseInt(nvp.get(Constants.PR_LOG_ROLLEROVER_INTERVAL));
         mFrequency = getRollOverIndex(val);
     }
 
@@ -135,19 +132,19 @@ public class CMSErrorLogPanel extends CMSBaseLogPanel {
         NameValuePairs nvp = new NameValuePairs();
 
         if (activateLog.isSelected())
-            nvp.add(Constants.PR_LOG_ENABLED, Constants.TRUE);
+            nvp.put(Constants.PR_LOG_ENABLED, Constants.TRUE);
         else
-            nvp.add(Constants.PR_LOG_ENABLED, Constants.FALSE);
+            nvp.put(Constants.PR_LOG_ENABLED, Constants.FALSE);
         String str = "" + mLogLevel.getSelectedIndex();
-        nvp.add(Constants.PR_LOG_LEVEL, str);
-        nvp.add(Constants.PR_LOG_BUFFERSIZE, mlogBufSizText.getText().trim());
+        nvp.put(Constants.PR_LOG_LEVEL, str);
+        nvp.put(Constants.PR_LOG_BUFFERSIZE, mlogBufSizText.getText().trim());
         //nvp.add(Constants.PR_LOG_EXPIRED_TIME, "");
         //nvp.add(Constants.PR_LOG_FILENAME, "");
         //nvp.add(Constants.PR_LOG_FLUSHINTERVAL, "");
-        nvp.add(Constants.PR_LOG_MAXFILESIZE, mlogMaxSizText.getText().trim());
+        nvp.put(Constants.PR_LOG_MAXFILESIZE, mlogMaxSizText.getText().trim());
 
         str = "" + getRollOverTime(mlogFQC.getSelectedIndex());
-        nvp.add(Constants.PR_LOG_ROLLEROVER_INTERVAL, str);
+        nvp.put(Constants.PR_LOG_ROLLEROVER_INTERVAL, str);
 
         mModel.progressStart();
         try {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSKRAAutoPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSKRAAutoPanel.java
index be81b035b97b6b71857f4093cde3cbdb2c2ff95c..f408e729711a6aa9b273e66a303bd31547e806ae 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSKRAAutoPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSKRAAutoPanel.java
@@ -18,13 +18,11 @@
 package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
 import java.awt.*;
-import java.util.*;
 import java.awt.event.*;
 
 /**
@@ -143,7 +141,7 @@ public class CMSKRAAutoPanel extends CMSBaseUGTab {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_AUTO_RECOVERY_ON, "");
+        nvps.put(Constants.PR_AUTO_RECOVERY_ON, "");
 
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_KRA_ADMIN,
@@ -157,11 +155,10 @@ public class CMSKRAAutoPanel extends CMSBaseUGTab {
     }
 
     protected void populate(NameValuePairs nvps) {
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_AUTO_RECOVERY_ON)) {
-                if (nvp.getValue().equals(Constants.TRUE)) {
+                if (value.equals(Constants.TRUE)) {
                     setStatus(true);
                     //mEnableAuto.setText(mDisableLabel);
                     //mEnableAuto.setToolTipText(mDisableTTip);
@@ -198,7 +195,7 @@ public class CMSKRAAutoPanel extends CMSBaseUGTab {
             } else {
                 mModel.progressStart();
                 NameValuePairs nvps = new NameValuePairs();
-                nvps.add(Constants.PR_AUTO_RECOVERY_ON, Constants.FALSE);
+                nvps.put(Constants.PR_AUTO_RECOVERY_ON, Constants.FALSE);
                 try {
                     mAdmin.modify(DestDef.DEST_KRA_ADMIN,
                       ScopeDef.SC_AUTO_RECOVERY, Constants.RS_ID_CONFIG, nvps);
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSKRAPasswdPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSKRAPasswdPanel.java
index 7c52eab879bbb7ea0c54f43bef2749bc70c7c8dd..7c70dca7f883a74b38e83df31b25951d95cabc2e 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSKRAPasswdPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSKRAPasswdPanel.java
@@ -18,9 +18,7 @@
 package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.connection.AdminConnection;
-import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
@@ -58,7 +56,7 @@ public class CMSKRAPasswdPanel extends CMSBaseUGTab {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_RECOVERY_AGENT, "");
+        nvps.put(Constants.PR_RECOVERY_AGENT, "");
 
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_KRA_ADMIN,
@@ -74,18 +72,17 @@ public class CMSKRAPasswdPanel extends CMSBaseUGTab {
     }
 
     protected void populate(NameValuePairs nvps) {
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_RECOVERY_AGENT)) {
                 mAgentModel.removeAllElements();
-                updateModel(nvp);
+                updateModel(value);
             }
         }
     }
 
-    private void updateModel(NameValuePair nvp) {
-        String[] uids = getUIDs(nvp.getValue());
+    private void updateModel(String value) {
+        String[] uids = getUIDs(value);
         for (int i=0; i<uids.length; i++) {
             JLabel label = makeJLabel(mUserIcon, uids[i],
               SwingConstants.LEFT);
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSKRASchemePanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSKRASchemePanel.java
index 274b7d54ebea0ab73f9b78a2e08092b8eb6d9ac1..34950b37131fb9bfd7372b085fb355cb7a457b88 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSKRASchemePanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSKRASchemePanel.java
@@ -18,14 +18,12 @@
 package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.connection.AdminConnection;
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
 import java.awt.*;
-import java.util.*;
 import java.awt.event.*;
 
 /**
@@ -82,8 +80,8 @@ public class CMSKRASchemePanel extends CMSBaseUGTab {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_RECOVERY_N, "");
-        nvps.add(Constants.PR_RECOVERY_M, "");
+        nvps.put(Constants.PR_RECOVERY_N, "");
+        nvps.put(Constants.PR_RECOVERY_M, "");
 
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_KRA_ADMIN,
@@ -99,13 +97,12 @@ public class CMSKRASchemePanel extends CMSBaseUGTab {
     }
 
     protected void populate(NameValuePairs nvps) {
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_RECOVERY_N)) {
-                mAvailAgentLbl.setText(nvp.getValue());
+                mAvailAgentLbl.setText(value);
             } else if (name.equals(Constants.PR_RECOVERY_M)) {
-                mReqAgentLbl.setText(nvp.getValue());
+                mReqAgentLbl.setText(value);
             }
         }
     }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSLDAPSettingPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSLDAPSettingPanel.java
index 85596d55e2cb9f5931c5bb7983a9813abb911ab5..641a6641e27faa06994176543b6075319915d62c 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSLDAPSettingPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSLDAPSettingPanel.java
@@ -17,7 +17,6 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.admin.certsrv.config;
 
-import com.netscape.management.client.util.*;
 import com.netscape.admin.certsrv.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.connection.*;
@@ -177,14 +176,14 @@ public class CMSLDAPSettingPanel extends CMSBaseTab {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_HOST_NAME, "");
-        nvps.add(Constants.PR_LDAP_PORT, "");
+        nvps.put(Constants.PR_HOST_NAME, "");
+        nvps.put(Constants.PR_LDAP_PORT, "");
         //nvps.add(Constants.PR_SECURE_PORT_ENABLED, "");
         //nvps.add(Constants.PR_BASE_DN, "");
-        nvps.add(Constants.PR_BIND_DN, "");
-        nvps.add(Constants.PR_LDAP_VERSION, "");
-        nvps.add(Constants.PR_LDAP_MAX_CONNS, "");
-        nvps.add(Constants.PR_LDAP_MIN_CONNS, "");
+        nvps.put(Constants.PR_BIND_DN, "");
+        nvps.put(Constants.PR_LDAP_VERSION, "");
+        nvps.put(Constants.PR_LDAP_MAX_CONNS, "");
+        nvps.put(Constants.PR_LDAP_MIN_CONNS, "");
 
         try {
             NameValuePairs val = mAdmin.read(mServletName,
@@ -210,13 +209,12 @@ public class CMSLDAPSettingPanel extends CMSBaseTab {
 
     protected void populate(NameValuePairs nvps) {
         String version = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_HOST_NAME)) {
-                mHostNameText.setText(nvp.getValue());
+                mHostNameText.setText(value);
             } else if (name.equals(Constants.PR_LDAP_PORT)) {
-                mPortText.setText(nvp.getValue());
+                mPortText.setText(value);
             } else if (name.equals(Constants.PR_SECURE_PORT_ENABLED)) {
 /*
                 if (nvp.getValue().equals(Constants.TRUE))
@@ -227,18 +225,18 @@ public class CMSLDAPSettingPanel extends CMSBaseTab {
             } else if (name.equals(Constants.PR_BASE_DN)) {
                 //mBaseDNText.setText(nvp.getValue());
             } else if (name.equals(Constants.PR_BIND_DN)) {
-                mBindAsText.setText(nvp.getValue());
+                mBindAsText.setText(value);
             } else if (name.equals(Constants.PR_ENABLE)) {
-                if (nvp.getValue().equals(Constants.TRUE))
+                if (value.equals(Constants.TRUE))
                     mEnable.setSelected(true);
                 else
                     mEnable.setSelected(false);
             } else if (name.equals(Constants.PR_LDAP_VERSION)) {
-                version = nvp.getValue();
+                version = value;
             } else if (name.equals(Constants.PR_LDAP_MIN_CONNS)) {
-                mMinConnsText.setText(nvp.getValue());
+                mMinConnsText.setText(value);
             } else if (name.equals(Constants.PR_LDAP_MAX_CONNS)) {
-                mMaxConnsText.setText(nvp.getValue());
+                mMaxConnsText.setText(value);
             }
 
         }
@@ -301,12 +299,12 @@ public class CMSLDAPSettingPanel extends CMSBaseTab {
         }
 
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_HOST_NAME, host);
-        nvps.add(Constants.PR_LDAP_PORT, port);
+        nvps.put(Constants.PR_HOST_NAME, host);
+        nvps.put(Constants.PR_LDAP_PORT, port);
         //nvps.add(Constants.PR_BASE_DN, baseDN);
-        nvps.add(Constants.PR_BIND_DN, bindAs);
-        nvps.add(Constants.PR_LDAP_MAX_CONNS, maxConns);
-        nvps.add(Constants.PR_LDAP_MIN_CONNS, minConns);
+        nvps.put(Constants.PR_BIND_DN, bindAs);
+        nvps.put(Constants.PR_LDAP_MAX_CONNS, maxConns);
+        nvps.put(Constants.PR_LDAP_MIN_CONNS, minConns);
 /*
         nvps.add(Constants.PR_LDAP_VERSION, 
           (String)mVersionBox.getSelectedItem());
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSNetworkPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSNetworkPanel.java
index ef85e49869a363c334936ae5caea3735dbf6bcd1..03458d2b1cbebf728ce5b81408b49d225d5f5484 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSNetworkPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSNetworkPanel.java
@@ -23,7 +23,6 @@ import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.*;
 import com.netscape.management.client.console.ConsoleInfo;
 import java.awt.*;
-import java.util.*;
 import java.awt.event.*;
 import javax.swing.*;
 import javax.swing.text.*;
@@ -251,25 +250,25 @@ public class CMSNetworkPanel extends CMSBaseTab {
         } else {
             mModel.progressStart();
             NameValuePairs nvps = new NameValuePairs();
-            nvps.add(Constants.PR_ADMIN_S_PORT, adminSSLPortStr);
-            nvps.add(Constants.PR_GATEWAY_PORT, gatewayPortStr);
-            nvps.add(Constants.PR_AGENT_S_PORT, agentSSLPortStr);
+            nvps.put(Constants.PR_ADMIN_S_PORT, adminSSLPortStr);
+            nvps.put(Constants.PR_GATEWAY_PORT, gatewayPortStr);
+            nvps.put(Constants.PR_AGENT_S_PORT, agentSSLPortStr);
 
             if (mGatewaySSLPortText.isEnabled()) {
-                nvps.add(Constants.PR_GATEWAY_S_PORT, gatewaySSLPortStr);
+                nvps.put(Constants.PR_GATEWAY_S_PORT, gatewaySSLPortStr);
             }
 
             if (mGatewaySSLBacklogText.isEnabled()) {
-                nvps.add(Constants.PR_GATEWAY_S_BACKLOG, gatewaySSLBacklogStr);
+                nvps.put(Constants.PR_GATEWAY_S_BACKLOG, gatewaySSLBacklogStr);
             }
 
             if (mEnable.isSelected()) {
-                nvps.add(Constants.PR_GATEWAY_PORT_ENABLED, Constants.TRUE);
-                nvps.add(Constants.PR_ADMIN_S_BACKLOG, adminSSLBacklogStr);
-                nvps.add(Constants.PR_GATEWAY_BACKLOG, gatewayBacklogStr);
-                nvps.add(Constants.PR_AGENT_S_BACKLOG, agentSSLBacklogStr);
+                nvps.put(Constants.PR_GATEWAY_PORT_ENABLED, Constants.TRUE);
+                nvps.put(Constants.PR_ADMIN_S_BACKLOG, adminSSLBacklogStr);
+                nvps.put(Constants.PR_GATEWAY_BACKLOG, gatewayBacklogStr);
+                nvps.put(Constants.PR_AGENT_S_BACKLOG, agentSSLBacklogStr);
             } else
-                nvps.add(Constants.PR_GATEWAY_PORT_ENABLED, Constants.FALSE);
+                nvps.put(Constants.PR_GATEWAY_PORT_ENABLED, Constants.FALSE);
 
             try {
                 mAdmin.modify(DestDef.DEST_SERVER_ADMIN, ScopeDef.SC_NETWORK,
@@ -312,11 +311,11 @@ public class CMSNetworkPanel extends CMSBaseTab {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_ADMIN_S_PORT, "");
-        nvps.add(Constants.PR_AGENT_S_PORT, "");
-        nvps.add(Constants.PR_GATEWAY_S_PORT, "");
-        nvps.add(Constants.PR_GATEWAY_PORT, "");
-        nvps.add(Constants.PR_GATEWAY_PORT_ENABLED, "");
+        nvps.put(Constants.PR_ADMIN_S_PORT, "");
+        nvps.put(Constants.PR_AGENT_S_PORT, "");
+        nvps.put(Constants.PR_GATEWAY_S_PORT, "");
+        nvps.put(Constants.PR_GATEWAY_PORT, "");
+        nvps.put(Constants.PR_GATEWAY_PORT_ENABLED, "");
 
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_SERVER_ADMIN,
@@ -344,11 +343,9 @@ public class CMSNetworkPanel extends CMSBaseTab {
     }
 
     private void populate(NameValuePairs nvps) {
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
-            String str = nvp.getValue();
-            
+        for (String name : nvps.keySet()) {
+            String str = nvps.get(name);
+
             if (name.equals(Constants.PR_GATEWAY_PORT_ENABLED)) {
                 mEnable.setSelected(getBoolean(str));
             } else {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSOCSPGeneralPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSOCSPGeneralPanel.java
index 9c3bdf3d3269b1d628454dfd329cf59fa54ab1c4..37dfbef446b4215d95d52f8c11d4fa0ccb9270ff 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSOCSPGeneralPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSOCSPGeneralPanel.java
@@ -126,8 +126,8 @@ public class CMSOCSPGeneralPanel extends CMSBaseTab implements ItemListener {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_DEFAULT_ALGORITHM, "");
-        nvps.add(Constants.PR_ALL_ALGORITHMS, "");
+        nvps.put(Constants.PR_DEFAULT_ALGORITHM, "");
+        nvps.put(Constants.PR_ALL_ALGORITHMS, "");
 
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_OCSP_ADMIN,
@@ -144,13 +144,12 @@ public class CMSOCSPGeneralPanel extends CMSBaseTab implements ItemListener {
 
     protected void populate(NameValuePairs nvps) {
         String defaultAlgorithm = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_DEFAULT_ALGORITHM)) {
-                defaultAlgorithm = nvp.getValue();
+                defaultAlgorithm = value;
             } else if (name.equals(Constants.PR_ALL_ALGORITHMS)) {
-                initAlgorithmBox(nvp.getValue());
+                initAlgorithmBox(value);
             }
         }
 
@@ -191,8 +190,8 @@ public class CMSOCSPGeneralPanel extends CMSBaseTab implements ItemListener {
     public boolean applyCallback() {
         NameValuePairs nvps = new NameValuePairs();
 
-        nvps.add(Constants.PR_DEFAULT_ALGORITHM, 
-          (String)mAlgorithms.getSelectedItem());
+        nvps.put(Constants.PR_DEFAULT_ALGORITHM,
+                (String) mAlgorithms.getSelectedItem());
 
         mModel.progressStart();
         try {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSPasswordDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSPasswordDialog.java
index 03fc449f799468cd52dc798564190e4cdc7f1fab..47cb6c8652e92c597dda263ad9de2eb121459252 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSPasswordDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSPasswordDialog.java
@@ -22,7 +22,7 @@ import java.util.*;
 import java.awt.event.*;
 import javax.swing.*;
 import javax.swing.event.*;
-import javax.swing.border.*;
+
 import com.netscape.admin.certsrv.*;
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
@@ -229,8 +229,8 @@ public class CMSPasswordDialog extends JDialog
             
                
             NameValuePairs nvps = new NameValuePairs();
-            nvps.add(Constants.PR_OLD_AGENT_PWD, oldpassword);
-            nvps.add(Constants.PR_AGENT_PWD, newpassword);
+            nvps.put(Constants.PR_OLD_AGENT_PWD, oldpassword);
+            nvps.put(Constants.PR_AGENT_PWD, newpassword);
 
             try {
                 mAdmin.modify(DestDef.DEST_KRA_ADMIN,
